Bug 7013 - lots of winbind coredumps
lots of winbind coredumps
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Winbind
3.4.3
x64 Linux
: P3 normal
: ---
Assigned To: Michael Adam
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-30 11:57 UTC by andreas sartori
Modified: 2010-01-05 16:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andreas sartori 2009-12-30 11:57:46 UTC
after the upgrade to win2008r2 our ntml_auth did not work anymore (rhel5.3 samba packages). then i installed the experimental rpm packages from sernet:
Version     : 3.4.3 
Release     : 41.el5 

with this version i got the same errors. after that i recompiled a new version of samba 3.4.3 (normal ./configure && make install)

after compilation a join into the domain works very well. start of winbind, works without any problem. wbinfo -u / -p works like a charm

when users are authenticating i get the following error messages in the log.wb-DOMAIN logfile.

[2009/12/30 18:08:01,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2009/12/30 18:08:01,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 11665 (3.4.3)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2009/12/30 18:08:01,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2009/12/30 18:08:01,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2009/12/30 18:08:01,  0] lib/util.c:1480(smb_panic)
  PANIC (pid 11665): internal error
[2009/12/30 18:08:01,  0] lib/util.c:1584(log_stack_trace)
  BACKTRACE: 21 stack frames:
   #0 ./winbindd(log_stack_trace+0x2d) [0xbd0f25]
   #1 ./winbindd(smb_panic+0x7c) [0xbd1057]
   #2 ./winbindd [0xbc01e4]
   #3 [0x66f420]
   #4 ./winbindd(rpccli_set_timeout+0x1d) [0xcbacd6]
   #5 ./winbindd(winbindd_lookup_names+0xaa) [0xb3d5b4]
   #6 ./winbindd [0xb3d8a9]
   #7 ./winbindd [0xb3e0f7]
   #8 ./winbindd [0xb3e81f]
   #9 ./winbindd [0xb2529d]
   #10 ./winbindd(winbindd_lookup_sid_by_name+0x48) [0xb196b8]
   #11 ./winbindd(winbindd_dual_lookupname+0x10e) [0xb4aef2]
   #12 ./winbindd [0xb47a89]
   #13 ./winbindd(async_request+0x22c) [0xb48673]
   #14 ./winbindd(init_child_connection+0x2ac) [0xb1bf60]
   #15 ./winbindd(async_domain_request+0x131) [0xb48900]
   #16 ./winbindd [0xb1c1c3]
   #17 ./winbindd(rescan_trusted_domains+0x52) [0xb1c65e]
   #18 ./winbindd(main+0xe39) [0xb10f08]
   #19 /lib/libc.so.6(__libc_start_main+0xdc) [0x2eedec]
   #20 ./winbindd [0xb0e061]
[2009/12/30 18:08:01,  0] lib/fault.c:326(dump_core)
  dumping core in /usr/local/samba/var/cores/winbindd
[2009/12/30 18:08:01,  0] lib/fault.c:46(fault_report)


those errors are repeated all the time and a core dump is written to the disk. i get over 1gb core files in about 15 minutes.

if you need more information, please give me a note!

-andy
Comment 1 Volker Lendecke 2009-12-30 15:08:20 UTC
Can you try with the latest v3-4-test, available from

http://repo.or.cz/w/Samba.git/snapshot/v3-4-test.tar.gz

Thanks,

Volker
Comment 2 Guenther Deschner 2010-01-05 16:43:06 UTC
This has been resolved with the patch available at:
http://git.samba.org/?p=samba.git;a=commitdiff;h=d241b9ae4c9b520406aac98e24d078f2d4fd4ae5

This will be part of the next release of course.